package com.dcsoft.system.mapper;

import java.util.List;
import java.util.Map;

import com.dcsoft.system.domain.SysPeopleRecord;

/**
 * 人员识别记录Mapper接口
 *
 * @author nichun
 * @date 2023-03-08
 */
public interface SysPeopleRecordMapper
{
    /**
     * 查询人员识别记录
     *
     * @param id 人员识别记录主键
     * @return 人员识别记录
     */
    public SysPeopleRecord selectSysPeopleRecordById(Long id);

    /**
     * 查询人员识别记录列表
     *
     * @param sysPeopleRecord 人员识别记录
     * @return 人员识别记录集合
     */
    public List<SysPeopleRecord> selectSysPeopleRecordList(SysPeopleRecord sysPeopleRecord);

    /**
     * 查询人员识别记录列表
     *
     * @param sysPeopleRecord 人员识别记录
     * @return 人员识别记录集合
     */
    public List<SysPeopleRecord> selectSysPeopleRecordLists(SysPeopleRecord sysPeopleRecord);

    /**
     * 新增人员识别记录
     *
     * @param sysPeopleRecord 人员识别记录
     * @return 结果
     */
    public int insertSysPeopleRecord(SysPeopleRecord sysPeopleRecord);

    /**
     * 修改人员识别记录
     *
     * @param sysPeopleRecord 人员识别记录
     * @return 结果
     */
    public int updateSysPeopleRecord(SysPeopleRecord sysPeopleRecord);

    /**
     * 删除人员识别记录
     *
     * @param id 人员识别记录主键
     * @return 结果
     */
    public int deleteSysPeopleRecordById(Long id);

    /**
     * 批量删除人员识别记录
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysPeopleRecordByIds(Long[] ids);

    public List<Map<String, Object>> topApi();

    String selectPeopleRecordById(String deviceKey);

    /**
     * 查询通行统计数量（昨天，今天）
     * @return
     */
    List<SysPeopleRecord> queryThroughCount();
}
